using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.SkuDataWareHouse
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("进入 数据仓生成服务");
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }

        //static void Main(string[] args)
        //{
        //    Console.WriteLine("运行成功！");
        //    new Services().Save();
        //}
    }
}